extractr docs
TCGPlayer

List cards in a set

GET
/tcgplayer/get_variants

The cards/variants that make up a set (group), by set_id. Use the set_id from any card summary.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

set_id*string
Match^\d+$
limit?integer

Max cards returned.

Range1 <= value <= 100
Default30

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/tcgplayer/get_variants?set_id=24451"
{  "set_id": "string",  "set": "string",  "category": "string",  "count": 0,  "variants": [    {      "tcgplayer_id": "659612",      "name": "Mega Charizard X ex",      "category": "Pokemon",      "category_id": "3",      "set": "Mega Evolution Promos",      "set_id": "24451",      "card_number": "023",      "rarity": "Promo",      "sub_type": "Holofoil",      "is_card": true,      "image": "https://tcgplayer-cdn.tcgplayer.com/product/659612_in_1000x1000.jpg",      "market_price": 37.63,      "price_change": 0.03,      "price_change_pct": 0.08,      "url": "https://www.tcgplayer.com/product/659612/"    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}